export default {
  name: "infiot-component-circlecomponent", 
    type: "circlecomponent",
    child: "svg",

    tag: {
      tagId: {control:'input', type:'text', subType:'TagModal', value:""},
      tagName: {control:'input', type:'text', value:""}
    },
  
    layout: {
      width: {control:'input', type:'number', value:100},
      height: {control:'input', type:'number', value:100},
      x: {control:'input', type:'number', value:0},
      y: {control:'input', type:'number', value:0},
      zIndex: {control:'input', type:'number', value:0}
    },

    circle: {
      cx: {control:'input', type:'number', value:50},
      cy: {control:'input', type:'number', value:50},
      r: {control:'input', type:'number', value:40}
    },

    background: {
      color: {control:'input', type:'text', subType:'ColorModal', value:"rgba(255,255,255,1)", hidden:false}      
    },

    border: {
      borderStyle: {control:'select', type:'text', optionValues:['none','solid','dotted','dashed'], value:"solid"},
      borderColor: {control:'input', type:'text', subType:'ColorModal', value:"rgba(0,0,0,1)"},
      borderWidth: {control:'input', type:'number', value:3}
    },

    shape: {
      rotationAngle: {control:'input', type:'number', value:0}
    },
  
    state: {
      currentState: {control:'input', type:'text', value:""},
      state01: {
        value: {control:'input', type:'text', value:"STOP"},
        color: {control:'input', type:'text', subType:'ColorModal', value:"rgba(255,255,255,1)"}
      },
      state02: {
        value: {control:'input', type:'text', value:"RUN"},
        color: {control:'input', type:'text', subType:'ColorModal', value:"rgba(0,0,0,1)"}
      },
      state03: {
        value: {control:'input', type:'text', value:"DISABLED"},
        color: {control:'input', type:'text', subType:'ColorModal', value:"rgba(84,84,84,1)"}
      }
    },

    control: {
      controlName: {control:'input', type:'text', value:""},
      mouseLeftClick: {control:'select', type:'text', optionValues:['NONE','NAVIGATION'], value:"NONE"},
      navigationAddress: {control:'select', type:'text', value:""}
    },

    imageSrc:require('./circle.png')
  };